> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cedarai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Attaches Voucher

> Associate a voucher to a shipper's invoice



## OpenAPI

````yaml /user-docs/api-reference/invoices.swagger.json post /shipper/invoices/{id}/vouchers
openapi: 3.0.1
info:
  title: protobuf/shipping/v1/invoices.proto
  version: version not set
servers:
  - description: Production (US)
    url: https://api-lg-k.arms.cedarai.com
  - description: Production (EU)
    url: https://api-lg-k.arms.cedarai.se
security:
  - ApiKeyAuth: []
    AssumeUserAuth: []
tags:
  - name: InvoicesService
paths:
  /shipper/invoices/{id}/vouchers:
    post:
      tags:
        - InvoicesService
      summary: Attaches Voucher
      description: Associate a voucher to a shipper's invoice
      operationId: AttachVoucher
      parameters:
        - description: the id of the invoice
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Carrier ID - can be a numeric id or a string identifier
          in: header
          name: Carrier
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InvoicesServiceAttachVoucherBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1AttachVoucherResponse'
          description: A successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
          description: An unexpected error response.
components:
  schemas:
    InvoicesServiceAttachVoucherBody:
      properties:
        voucher_id:
          title: a voucher id in a system external to Cedar
          type: string
      type: object
    v1AttachVoucherResponse:
      type: object
    rpcStatus:
      properties:
        code:
          format: int32
          type: integer
        details:
          items:
            $ref: '#/components/schemas/protobufAny'
          type: array
        message:
          type: string
      type: object
    protobufAny:
      additionalProperties:
        type: object
      properties:
        '@type':
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-arms-api-key
      type: apiKey
    AssumeUserAuth:
      in: header
      name: x-arms-assume-user
      type: apiKey

````